Documentation Index
Fetch the complete documentation index at: https://docs.meteora.ag/llms.txt
Use this file to discover all available pages before exploring further.
Base URLs
| Environment | Base URL | Swagger UI |
|---|---|---|
| Production | https://damm-api.meteora.ag | Open |
| Devnet | https://damm-api.devnet.meteora.ag | Use the checked-in OpenAPI server dropdown when available. |
https://damm-api.meteora.ag/api-docs/openapi.json and includes both production and devnet servers for docs usage.
Pools
Pools
Returns indexed DAMM v1 pools using
GET /poolsPool Search
Returns paginated pool search results with filters using
GET /pools/searchPool Metrics
Returns aggregate DAMM v1 pool metrics using
GET /pools-metricsPool Configs
Returns published pool config accounts using
GET /pool-configsPools With Farms
Returns DAMM v1 pools with farms using
GET /farmsPools By A Vault LP
Returns pools by token A vault LP address using
POST /pools_by_a_vault_lpAlpha Vault
Alpha Vaults
Returns DAMM v1 alpha vaults using
GET /alpha-vaultAlpha Vault Configs
Returns alpha vault configs using
GET /alpha-vault-configsFee Configs
Fee Configs
Returns fee configs associated with a config address using
GET /fee-config/{config_address}Query Parameters
| Endpoint | Parameters |
|---|---|
GET /pools | address, unknown, pool_type, is_monitoring, hide_low_tvl, hide_low_apr, launchpad. |
GET /pools/search | page, size, filter, sort_key, order_by, pools_to_top, unknown, pool_type, is_monitoring, hide_low_tvl, hide_low_apr, include_token_mints, include_pool_token_pairs, launchpad. |
GET /alpha-vault | vault_address, pool_address, base_mint. |
GET /fee-config/{config_address} | config_address path parameter. |
POST /pools_by_a_vault_lp | JSON body with address array. |
pool_type supports dynamic, multitoken, lst, and farms. sort_key for pool search supports tvl, volume, fee_tvl_ratio, and l_m; order_by supports asc and desc.
When To Use The API
| Use the Data API for | Read on-chain accounts for |
|---|---|
| Pool discovery, filtering, and search. | Transaction construction and slippage-sensitive quotes. |
| Aggregate metrics, TVL, volume, APY, and farm metadata. | Current pool, Dynamic Vault, lock escrow, and protocol fee balances. |
| Config and alpha-vault discovery. | CPI account validation and exact pool state reconciliation. |

